"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class AuraDataProvider {
    constructor(attributes) {
        this.activated = false;
        this.indexer = attributes.indexer;
    }
    getId() {
        return 'lwc-aura';
    }
    isApplicable() {
        return this.activated;
    }
    provideTags() {
        return this.indexer.customData.map(tag => {
            return {
                name: tag.auraName,
                description: tag.description,
                attributes: tag.attributes,
            };
        });
    }
    provideAttributes(tagName) {
        var _a;
        const tags = this.provideTags();
        const tag = tags.find(t => t.name.toLowerCase() === tagName);
        return ((_a = tag) === null || _a === void 0 ? void 0 : _a.attributes) || [];
    }
    provideValues() {
        return [];
    }
}
exports.AuraDataProvider = AuraDataProvider;
//# sourceMappingURL=aura-data-provider.js.map